﻿/// <reference path="../ext.js" />
Ext.define('ExtMVCOne.view.MainPanel', {
    extend: 'Ext.tab.Panel',
    alias: 'widget.mainpanel',
    flex: 1,
    initComponent: function () {
        var me = this;

        me.items = [
            { title: "文章管理", id: "contentPanel" },
            { title: "图片管理", id: "picPanel" }
        ];

        var roles = '.' + ExtMVCOne.Userinfo.Roles.join('.') + '.';
        if (roles.indexOf('.系统管理员.') >= 0) {
            me.items.push({ title: "用户管理", id: "userPanel" });
        }
        me.callParent(arguments);
    }
});